import { fruitBowl } from './fruitBowl';

const svg = d3.select('svg');

svg.style('background', 'yellowgreen');

const makeFruit = type => ({
  id: Math.random(),
  type
});

let fruits = d3.range(5)
	.map(() => makeFruit('apple') );

let selectedFruit = null;


const setSelectedFruit = (id) => {
  selectedFruit = id;
  console.log(selectedFruit);
  render();
};



const render = () => {
  fruitBowl(svg, {
    fruits: fruits, 
    height: +svg.attr('height'),
    setSelectedFruit,
    selectedFruit
  })
};



render();


//eat an apple
setTimeout(()=> {
	fruits.pop();
	render();
}, 1000);

//buys a lemon
setTimeout(()=> {
	fruits.push(makeFruit('lemon'));
	render();
}, 2000);

//replace an apple with a lemon
setTimeout(()=> {
	fruits[2].type = 'lemon';
	render();
}, 3000);

//replace an apple with a lemon
setTimeout(()=> {
	fruits = fruits.filter((d,i) => i!==1);
	render();
}, 4000);